-- Customer specific once-script SBSH#33500.
-- Update reeks reserveringen met kortingen (artikel key 13)
-- Reserveringen 925, 926 en 927 -18,45
-- Reserveringen 928 en 929 -5,39
-- Reserveringen 918 -83,10

SET ECHO ON
SPOOL xsbsh33500.lst
SET DEFINE OFF

UPDATE   res_rsv_artikel
   SET   res_rsv_artikel_prijs = -18.45
 WHERE   res_rsv_ruimte_key IN
               (SELECT   res_rsv_ruimte_key
                  FROM   res_rsv_ruimte
                 WHERE   res_reservering_key IN (925, 926, 927))
         AND res_artikel_key = 13
         AND res_rsv_artikel_prijs IS NULL;

UPDATE   res_rsv_artikel
   SET   res_rsv_artikel_prijs = -5.39
 WHERE   res_rsv_ruimte_key IN (SELECT   res_rsv_ruimte_key
                                  FROM   res_rsv_ruimte
                                 WHERE   res_reservering_key IN (928, 929))
         AND res_artikel_key = 13
         AND res_rsv_artikel_prijs IS NULL;

UPDATE   res_rsv_artikel
   SET   res_rsv_artikel_prijs = -83.10
 WHERE       res_rsv_ruimte_key IN (SELECT   res_rsv_ruimte_key
                                      FROM   res_rsv_ruimte
                                     WHERE   res_reservering_key IN (918))
         AND res_artikel_key = 13
         AND res_rsv_artikel_prijs IS NULL;

COMMIT;

BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
